# com.google.android.exoplayer2.source.hls

## Interfaces

- HlsDataSourceFactory
- HlsExtractorFactory
- HlsMediaChunkExtractor

## Classes

- BundledHlsMediaChunkExtractor
- DefaultHlsDataSourceFactory
- DefaultHlsExtractorFactory
- HlsManifest
- HlsMediaPeriod
- HlsMediaSource
- HlsMediaSource.Factory
- HlsTrackMetadataEntry
- HlsTrackMetadataEntry.VariantInfo
- MediaParserHlsMediaChunkExtractor
- TimestampAdjusterProvider
- WebvttExtractor

## Exceptions

- SampleQueueMappingException

## Annotation Types

- HlsMediaSource.MetadataType